Proactive Messaging
Update failure-alert settings
Update alert thresholds and the optional alert webhook.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
proactive_messages
/
alert_settings
Update failure-alert settings
curl --request PATCH \
--url https://connect.voxys.ai/api/v1/accounts/{account_id}/proactive_messages/alert_settings \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"enabled": true,
"threshold": 123,
"window_minutes": 123,
"cooldown_minutes": 123,
"webhook_url": "<string>"
}
'import requests
url = "https://connect.voxys.ai/api/v1/accounts/{account_id}/proactive_messages/alert_settings"
payload = {
"enabled": True,
"threshold": 123,
"window_minutes": 123,
"cooldown_minutes": 123,
"webhook_url": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
threshold: 123,
window_minutes: 123,
cooldown_minutes: 123,
webhook_url: '<string>'
})
};
fetch('https://connect.voxys.ai/api/v1/accounts/{account_id}/proactive_messages/alert_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Authorizations
All API requests must include the api_access_token header with a valid agent or administrator token.
Path Parameters
Numeric ID of the account
Body
application/json
Response
Successful response
⌘I
Update failure-alert settings

